<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Wed Nov 02 00:10:31 IST 2022 -->
<title>Uses of Class com.example.demo.model.User</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-11-02">
<meta name="description" content="use: package: com.example.demo.model, class: User">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in com.example.demo.model">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class com.example.demo.model.User" class="title">Uses of Class<br>com.example.demo.model.User</h1>
</div>
<div class="caption"><span>Packages that use <a href="../User.html" title="class in com.example.demo.model">User</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#com.example.demo.controller">com.example.demo.controller</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#com.example.demo.repository">com.example.demo.repository</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><a href="#com.example.demo.service">com.example.demo.service</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="com.example.demo.controller">
<h2>Uses of <a href="../User.html" title="class in com.example.demo.model">User</a> in <a href="../../controller/package-summary.html">com.example.demo.controller</a></h2>
<div class="caption"><span>Methods in <a href="../../controller/package-summary.html">com.example.demo.controller</a> with parameters of type <a href="../User.html" title="class in com.example.demo.model">User</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">UserController.</span><code><a href="../../controller/UserController.html#processRegistration(com.example.demo.model.User)" class="member-name-link">processRegistration</a><wbr>(<a href="../User.html" title="class in com.example.demo.model">User</a>&nbsp;user)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<li>
<section class="detail" id="com.example.demo.repository">
<h2>Uses of <a href="../User.html" title="class in com.example.demo.model">User</a> in <a href="../../repository/package-summary.html">com.example.demo.repository</a></h2>
<div class="caption"><span>Methods in <a href="../../repository/package-summary.html">com.example.demo.repository</a> that return <a href="../User.html" title="class in com.example.demo.model">User</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="../User.html" title="class in com.example.demo.model">User</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">UserRepository.</span><code><a href="../../repository/UserRepository.html#findByEmail(java.lang.String)" class="member-name-link">findByEmail</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;email)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<li>
<section class="detail" id="com.example.demo.service">
<h2>Uses of <a href="../User.html" title="class in com.example.demo.model">User</a> in <a href="../../service/package-summary.html">com.example.demo.service</a></h2>
<div class="caption"><span>Constructors in <a href="../../service/package-summary.html">com.example.demo.service</a> with parameters of type <a href="../User.html" title="class in com.example.demo.model">User</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../service/CustomUserDetails.html#%3Cinit%3E(com.example.demo.model.User)" class="member-name-link">CustomUserDetails</a><wbr>(<a href="../User.html" title="class in com.example.demo.model">User</a>&nbsp;user)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
